Skip to main content
POST
/
api
/
shop
/
marketplace
/
products
/
{productId}
/
offers
/
manage
Manage offer (create or edit with automatic status determination)
curl --request POST \
  --url https://skycoach.gg/api/shop/marketplace/products/{productId}/offers/manage \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "offers": [
    {
      "price_per_step": 2,
      "amount": 1,
      "min_purchase_amount": "1",
      "data": {
        "69": [],
        "70": [],
        "71": "Grandmaster",
        "72": "Brazil",
        "73": 7005,
        "74": "Handmade",
        "78": 1,
        "204": 200
      },
      "marketplace_type": 2,
      "is_auto_activate_status": true,
      "outer_name": "LoL Account with Rare Skins",
      "internal_name": "LoL_Account_001",
      "description": "Account with Officer Vi and Pharaoh Amumu skins",
      "credential_system_type_id": 1,
      "search_description": "LoL account with rare skins"
    },
    {
      "id": 336372,
      "price_per_step": 2,
      "amount": 1,
      "min_purchase_amount": "1",
      "data": {
        "69": [],
        "70": [],
        "71": "Grandmaster",
        "72": "Brazil",
        "73": 7005,
        "74": "Handmade",
        "78": 1,
        "204": 200
      },
      "marketplace_type": 2,
      "is_auto_activate_status": true,
      "outer_name": "LoL Account with Rare Skins",
      "internal_name": "LoL_Account_001",
      "description": "Account with Officer Vi and Pharaoh Amumu skins",
      "credential_system_type_id": 1,
      "search_description": "LoL account with rare skins"
    }
  ],
  "guarantee_delivery_time": "1-2 hours"
}
'
{
  "result": {
    "message": "ok",
    "received": 3,
    "successfully": 2,
    "results": [
      {
        "id": 335838,
        "status": "ok",
        "message": "Failed to process offer"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required

API response format

Available options:
application/json

Path Parameters

productId
integer
required

Product currency marketplace ID

Example:

13

Body

application/json
offers
object[]
required

Array of offers to create or update. If an offer object contains 'id', it will be updated. If 'id' is missing, a new offer will be created.

guarantee_delivery_time
string
required

Guaranteed delivery time (e.g., '1 hour', '24 hours', '3 days')

Maximum string length: 255
Example:

"1"

Response

Success

result
object